Loading...
Searching...
No Matches
Base64 Encoding
APR Utility Functions
Collaboration diagram for Base64 Encoding:

## Functions

int | apr_base64_encode_len (int len)
int | apr_base64_encode (char *coded_dst, const char *plain_src, int len_plain_src)
int | apr_base64_encode_binary (char *coded_dst, const unsigned char *plain_src, int len_plain_src)
int | apr_base64_decode_len (const char *coded_src)
int | apr_base64_decode (char *plain_dst, const char *coded_src)
int | apr_base64_decode_binary (unsigned char *plain_dst, const char *coded_src)

## Detailed Description

## Function Documentation

## apr_base64_decode()

int apr_base64_decode | ( | char * | plain_dst,
|  | const char * | coded_src
| ) |  |

Decode a string to plain text

Parameters

  plain_dst | The destination string for the plain text
  coded_src | The encoded string

Returns
  the length of the plain text string

## apr_base64_decode_binary()

int apr_base64_decode_binary | ( | unsigned char * | plain_dst,
|  | const char * | coded_src
| ) |  |

Decode an EBCDIC string to plain text

Parameters

  plain_dst | The destination string for the plain text
  coded_src | The encoded string

Returns
  the length of the plain text string

## apr_base64_decode_len()

int apr_base64_decode_len | ( | const char * | coded_src | ) |

Determine the maximum buffer length required to decode the plain text string given the encoded string.

Parameters

  coded_src | The encoded string

Returns
  the maximum required buffer length for the plain text string

## apr_base64_encode()

int apr_base64_encode | ( | char * | coded_dst,
|  | const char * | plain_src,
|  | int | len_plain_src
| ) |  |

Encode a text string using base64encoding.

Parameters

  coded_dst | The destination string for the encoded string.
  plain_src | The original string in plain text
  len_plain_src | The length of the plain text string

Returns
  the length of the encoded string

## apr_base64_encode_binary()

int apr_base64_encode_binary | ( | char * | coded_dst,
|  | const unsigned char * | plain_src,
|  | int | len_plain_src
| ) |  |

Encode an EBCDIC string using base64encoding.

Parameters

  coded_dst | The destination string for the encoded string.
  plain_src | The original string in plain text
  len_plain_src | The length of the plain text string

Returns
  the length of the encoded string

## apr_base64_encode_len()

int apr_base64_encode_len | ( | int | len | ) |

Given the length of an un-encoded string, get the length of the encoded string.

Parameters

  len | the length of an unencoded string.

Returns
  the length of the string after it is encoded, including the trailing \0